Skip to main content
POST
/
api2
/
v1
/
priceLists
/
{priceListUid}
/
import
Import translation price list
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/priceLists/{priceListUid}/import \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file'
{
  "rows": [
    {
      "rowNum": 123,
      "price": {
        "sourceLang": "<string>",
        "targetLang": "<string>",
        "prices": {},
        "minimumPrice": 123
      },
      "errors": [
        "<string>"
      ]
    }
  ],
  "importedPriceRows": [
    {
      "rowNum": 123,
      "price": {
        "sourceLang": "<string>",
        "targetLang": "<string>",
        "prices": {},
        "minimumPrice": 123
      },
      "errors": [
        "<string>"
      ]
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Headers

Content-Type
enum<string>
required
Available options:
multipart/form-data

Path Parameters

priceListUid
string
required

Body

multipart/form-data
file
file
required

XLSX file to upload

Response

Import successful

rows
object[]
importedPriceRows
object[]